/*
file: custom.css
author: hqd8080
XCode style (c) hqd8080 <hanquanding@163.com>
*/
pre .comment {
    color: #007400;
}

pre .variable,
pre .attribute,
pre .tag,
pre .regexp,
pre .ruby .constant,
pre .xml .tag .title,
pre .xml .pi,
pre .xml .doctype,
pre .html .doctype,
pre .css .id,
pre .css .class,
pre .css .pseudo {
    color: #c82829;
}

pre .number,
pre .preprocessor,
pre .built_in,
pre .literal,
pre .params,
pre .constant {
    color: #5c2699;
}

pre .ruby .class .title,
pre .css .rules .attribute {
    color: #718c00;
}

pre .string,
pre .value,
pre .inheritance,
pre .header,
pre .ruby .symbol,
pre .xml .cdata {
    color: #c41a16;
}

pre .title,
pre .css .hexcolor {
    color: #1c00cf;
}

pre .function,
pre .python .decorator,
pre .python .title,
pre .ruby .function .title,
pre .ruby .title .keyword,
pre .perl .sub,
pre .javascript .title,
pre .js .title,
pre .coffeescript .title {
    color: #4271ae;
}

pre .keyword,
pre .javascript .function,
pre .js .function {
    color: #aa0d91;
}

pre, .highlight {
    background: #fafafa;
    margin: 10px 0;
    padding: 15px 10px;
    overflow: auto;
    font-size: 12px;
    color: #4d4d4c;
    line-height: 1.5;
}

.highlight .gutter pre,
.gist .gist-file .gist-data .line-numbers {
    color: #666;
}

code {
    text-shadow: 0 1px #fff;
    padding: 0.2em 0.4em;
    margin: 0 0.3em;
    color: #555;
    background: #eee;
    border-radius: 3px;
    font-size: 85%;
}

pre code {
    background: none;
    text-shadow: none;
    padding: 0;
}

.highlight {
    position: relative;
    padding: 32px 10px 0 10px;
    border-radius: 4px;
}

.highlight:before {
    display: block;
    content: ' ';
    height: 32px;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    background-color: #f6f6f6;
    padding: 0 10px;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}

.highlight:after {
    content: " ";
    position: absolute;
    border-radius: 50%;
    background: #fc625d;
    width: 10px;
    height: 10px;
    top: 0;
    left: 15px;
    margin-top: 11px;
    -webkit-box-shadow: 20px 0 #fdbc40,40px 0 #35cd4b;
    box-shadow: 20px 0 #fdbc40,40px 0 #35cd4b;
}

.highlight pre {
    border: none;
    margin: 0;
    font-size: 12.5px;
}

.highlight table {
    position: relative;
    border: none;
    width: 100%;
    margin: 0;
    padding: 0;
}

.highlight tr {
    border: none;
}

.highlight td,
.highlight th {
    border: none;
    padding: 0;
}

.highlight td.code,
.highlight th.code {
    width: 100% !important;
}

.highlight figcaption {
    font-size: 0.85em;
    color: #8e908c;
    line-height: 1em;
    margin-bottom: 1em;
}

.highlight figcaption a {
    float: right;
}

.highlight .line {
    height: 22px;
    line-height: 22px;
}

.highlight .gutter pre {
    text-align: right;
    padding-right: 0;
    padding-left: 0;
    color: #ccc;
}